it-swarm.com.de

"RuntimeError: Stellen Sie sicher, dass sich die ausführbaren Dateien von Graphviz im Pfad Ihres Systems befinden", nachdem Sie Graphviz 2.38 installiert haben

Ich habe Graphviz 2.38 MSI-Version heruntergeladen und unter dem Ordner C:\Python34 installiert, dann lasse ich pip install Graphviz laufen, alles lief gut. Im Systempfad habe ich C:\Python34\bin hinzugefügt. Als ich versuchte, ein Testskript in Zeile filename=dot.render(filename='test') auszuführen, erhielt ich eine Nachricht

 RuntimeError: failed to execute ['dot', '-Tpdf', '-O', 'test'], make sure the Graphviz executables are on your systems' path

Ich habe versucht, "C:\Python34\bin\dot.exe" in den Pfad des Systems zu setzen, aber es hat nicht funktioniert, und ich habe sogar eine neue Umgebungsvariable "GRAPHVIZ_DOT" mit dem Wert "C:\Python34\bin\dot.exe" erstellt, die immer noch nicht funktioniert. Ich habe versucht, Graphviz zu deinstallieren und pip zu deinstallieren, anschließend neu zu installieren und erneut zu installieren, aber es funktioniert nichts. 

Die gesamte Traceback-Nachricht lautet:

Traceback (most recent call last):
  File "C:\Python34\lib\site-packages\graphviz\files.py", line 220, in render
    proc = subprocess.Popen(cmd, startupinfo=STARTUPINFO)
  File "C:\Python34\lib\subprocess.py", line 859, in __init__
    restore_signals, start_new_session)
  File "C:\Python34\lib\subprocess.py", line 1112, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] The system cannot find the file specified

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Documents\Kissmetrics\curves and lines\eventNodes.py", line 56, in <module>
    filename=dot.render(filename='test')
  File "C:\Python34\lib\site-packages\graphviz\files.py", line 225, in render
    'are on your systems\' path' % cmd)
RuntimeError: failed to execute ['dot', '-Tpdf', '-O', 'test'], make sure the Graphviz executables are on your systems' path

Hat jemand Erfahrung damit? 

51
liga810

Sie sollten das graphviz-Paket in Ihrem System installieren (nicht nur das Python-Paket). Auf Ubuntu solltest du versuchen:

Sudo apt-get install graphviz
53
kame
import os
os.environ["PATH"] += os.pathsep + 'D:/Program Files (x86)/Graphviz2.38/bin/'

Fügen Sie in Windows einfach diese beiden Zeilen am Anfang hinzu, wobei 'D:/Program Files (x86) /Graphviz2.38/bin/' durch die Adresse der Bin-Datei ersetzt wird.

Das löst das Problem.

40
Aprameyo Roy

Dies hat das Problem für mich auf MAC gelöst :

  brew install graphviz
39
RAS

Für Windows:

  1. Installieren Sie das Windows-Paket von: https://graphviz.gitlab.io/_pages/Download/Download_windows.html
  2. Installieren Sie das Python-Paket graphviz
  3. Fügen Sie C:\Program Files (x86)\Graphviz2.38\bin zum Benutzerpfad hinzu 
  4. Fügen Sie C:\Program Files (x86)\Graphviz2.38\bin\dot.exe zum Systempfad hinzu

Das hat für mich funktioniert!

28
Jyotsna_b

OSX Sierra, Python 2.7, Graphviz 2.38

Die Verwendung von pip install graphviz und conda install graphviz BOTH behebt das Problem.

pip erhält nur das gleiche Pfadproblem wie Ihr und conda nur einen Importfehler.

8
Leighton

Versuchen Sie conda install graphviz. Ich hatte das gleiche Problem, ich habe es durch den erwähnten Befehl in MacOS gelöst.

7
ajayramesh

Fügen Sie einfach unten zu Ihrer Umgebungsvariablen (System)PFAD Unter Windows hinzu

C:\Programme (x86)\Graphviz2.38\bin

dort finden Sie .exe files

Wenn nicht arbeiten 

Find Graphviz2.38/bin Ordner in Ihrem Programmdateien nicht in python lib

Dann fügen Sie zu IhremPFAD

Es ist wichtig, einen Ordner zu finden, in dem EXE-Dateien vorhanden sind

6
JessieB

Versuchen Sie es mit:

conda install python-graphviz

Die ausführbare Datei von graphviz befindet sich in einem anderen Pfad als das Conda-Verzeichnis, wenn Sie pip install graphviz verwenden.

4
Abishek

Mit conda install graphviz und conda install python-graphviz zum Installieren von GraphViz unter Windows10 war der Pfad C:/ProgramData/Anaconda3/Library/bin/graphviz / für mich. Das heißt Hinzufügen

import os
os.environ["PATH"] += os.pathsep + 'C:/ProgramData/Anaconda3/Library/bin/graphviz/'

löste das Problem für mich.

4
rosa b.

Ich hatte das gleiche Problem mit Jupyter unter Linux.

Um dies zu lösen, habe ich die Punktbibliothek zu python sys.path hinzugefügt 

Prüfen Sie zuerst, ob dot installiert ist. 

Dann:
finde seinen Pfad whereis dot ->/local/notebook/miniconda2/envs/ik2/bin/dot

Zum Schluss noch ein Python-Skript: Sys.path.append ("/ local/notebook/miniconda2/envs/ik2/bin/dot")

2
nono
conda install python-graphviz

Installieren Sie unter Windows Python Graphviz, das die ausführbaren Dateien in den Pfad einfügt.

2
abhishek

Nachdem Sie das Paket installiert haben ( link falls nicht), fügen Sie den Pfad zu dot.exe als neue Systemvariable hinzu.

Standardpfad ist:

C:\Programme (x86)\Graphviz2.38\bin\dot.exe

 enter image description here

2
typhon04

Sie sollten zunächst pip install verwenden und dann ein anderes Paket in http://www.graphviz.org/Download_windows.php Herunterladen und den Installationspfad in den Umgebungspfad einfügen. Dann funktioniert es.

1
x2yline

Ich hatte die gleiche Fehlermeldung unter Mac OS (El Capitan) mit der PyCharm-IDE ..... Ich hatte Graphviz mit brew installiert, wie in RZKs Antwort empfohlen, und das graphviz-Python-Paket mit PyCharm installiert (ich könnte das Prüfen Sie, ob Graphviz korrekt installiert wurde, indem Sie dot -V in einem Terminal ausprobierten und Folgendes abrufen: dot - graphviz version 2.40.1 (20161225.0304)) . Trotzdem erhielt ich immer noch die Fehlermeldung, als ich versuchte, Graphviz von PyCharm aufzurufen.

Ich musste den Pfad/usr/local/bin in den PyCharm-Optionen hinzufügen, wie in der Antwort auf diese Frage empfohlen, um das Problem zu lösen.

1
skyscraper

Für Linux-Benutzer, die keinen Root-Zugriff haben und daher den Befehl Sudo nicht verwenden können, wie in anderen Antworten vorgeschlagen ...

Aktivieren Sie zuerst Ihre Conda Virtual-Umgebung (falls Sie eine verwenden möchten), indem Sie:

source activate virtual-env-name

Dann installiere graphviz, auch wenn du es schon mit pip gemacht hast:

conda install graphviz

kopieren Sie dann das Ergebnis des folgenden Befehls:

whereis dot

In meinem Fall ist die Ausgabe:

/home/nader/anaconda2/bin/dot

und fügen Sie es Ihrer PATH-Variablen hinzu. Führen Sie einfach den folgenden Befehl aus

nano ~/.bashrc

und füge diese Zeilen an das Ende der geöffneten Datei an:

PATH="/home/username/anaconda2/bin/dot:$PATH"
export PATH

jetzt drücken Ctrl+O und dann Ctrl+X zu speichern und zu beenden.

Das Problem sollte jetzt gelöst sein.

Hinweis für Pycharm-Benutzer: Pycharm sieht die PATH-Variable nicht immer genauso wie Ihr Terminal. Diese Lösung funktioniert nicht für Pycharm und möglicherweise für andere IDEs. Sie können dies jedoch beheben, indem Sie die folgende Codezeile hinzufügen:

os.environ["PATH"] += os.pathsep + '/home/nader/anaconda2/bin'

zu Ihrem Python-Programm. Vergiss nicht

import os

zuerst :)

Bearbeiten: Wenn Sie conda nicht verwenden möchten, können Sie graphviz von hier ohne Root-Berechtigungen installieren und den bin-Ordner zu Ihrer PATH-Variablen hinzufügen. Ich habe das nicht getestet.

1
NKSHELL

1) Graphviz - Entpacken Sie den Download an einer bestimmten Stelle im System (pip funktioniert unter Windows nicht) und fügen Sie den Ordner bin in den Pfad ein (‘Umgebungsvariablen in Windows festlegen’ ODER), der in jedem Programm manuell festgelegt wurde

import os
os.environ["PATH"] += os.pathsep + 'C:/GraphViz/bin'

2) Dann das Modell zum Plotten bringen

clf = xgb.train(params, d_train, 1000, evals=evallist, early_stopping_rounds=10)
xgb.plot_tree(clf)
plt.rcParams['figure.figsize'] = [50, 10]
plt.show()
1
user41986

1.Installieren Sie das Windows-Paket von: https://graphviz.gitlab.io/_pages/Download/Download_windows.html und laden Sie die MSI-Datei herunter

Hinzufügen von Umgebungsvariablen 2. Fügen Sie dem Benutzerpfad C:\Programme (x86)\Graphviz2.38\bin hinzu

  1. Fügen Sie dem Systempfad C:\Programme (x86)\Graphviz2.38\bin\dot.exe hinzu

  2. Starten Sie Ihr Python-Notizbuch neu.

Es wird klappen.

0
Roli

Schritt 1: Installiere Graphviz Binary

Windows:

  1. Laden Sie Graphviz von http://www.graphviz.org/download/ herunter.
  2. Fügen Sie der Umgebungsvariablen PATH Folgendes hinzu (erwähnen Sie die installierte Version von graphviz):
    • C:\Programme (x86)\Graphviz2.38\bin
    • C:\Programme (x86)\Graphviz2.38\bin\dot.exe
  3. Schließen Sie ein geöffnetes Juypter-Notizbuch und die Eingabeaufforderung
  4. Starten Sie Jupyter/cmd Prompt neu und testen Sie

Linux:

  1. Sudo apt-get update
  2. Sudo apt-get installieren graphviz
  3. oder erstellen Sie es manuell von http://www.graphviz.org/download/

Schritt 2: Installieren Sie das graphviz-Modul für Python

pip:

  • pip install graphviz

conda:

  • conda install graphviz
0
Chankey Pathak

OS Mojave 10.14., Python 3.6

Die Verwendung von pip install graphviz hatte ein gutes Feedback im Terminal, führte aber zu diesem Fehler, als ich versuchte, ein Diagramm in einem Jupyter-Notizbuch zu erstellen. Ich habe dann brew install graphviz ausgeführt, was zu einem Fehler im Terminal geführt hat. Dann habe ich conda install graphviz ausgeführt und das Diagramm funktioniert.

Aus @ Leightons Kommentar: pip bekommt nur das gleiche Pfadproblem wie du und conda bekommt nur einen Importfehler.

0
Mac Strelioff